## python-dlt 0.9

=== Makefile ===
all:
	true
build:
	true
test:
	mkdir -p junit_reports;
	PYTHONPATH="${PYTHONPATH}:${BCI_SOURCES_DIR}/dlt"
	nosetests tests --with-xunit --xunit-file=junit_reports/python-dlt_tests.xml

=== requirements.txt ===
coverage
nose
pep8
pylint

=== debian/changelog ===
python-dlt (0.9-1) unstable; urgency=medium

  * Initial release

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 03 Feb 2019 12:50:17 +0100

=== debian/control ===
Source: python-dlt
Section: devel
Priority: optional
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python-all, python-setuptools, libdlt2
Standards-Version: 4.1.3
Homepage: https://github.com/bmwcarit/python-dlt
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-dlt
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libdlt2, python-subprocess32
Description: Python 2 wrapper for libdlt to read and process DLT logs from devices
 Diagnostic Log and Trace (DLT) library wrapper for Python 2 using ctypes
 .
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This library can be used to
 connect to a DLT logging facility and process saved DLT log files.
 .
 This package installs the library for Python 2.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=dltlyse

%:
	dh $@ --with python2 --buildsystem=pybuild

## python-dlt 2.0

=== Makefile ===
LIBDLT_VERSION=2.18.4

IMAGE=python-dlt/python-dlt-unittest
TAG?=latest
DK_CMD=docker run --rm -v $(shell pwd):/pydlt -w /pydlt
TEST_ARGS?="-e py3,py27"

.PHONY: all
all:
	@echo "python-dlt testing commands, libdlt version: ${LIBDLT_VERSION}"
	@echo "  make unit-test       -- Run unit tests with tox (Run 'make build-image' the first time)"
	@echo "  make build-image     -- Build docker image for the usage of 'make unit-test'"
	@echo "  make clean           -- Remove all temporary files"

.PHONY: test
test:
	mkdir -p junit_reports;
	nosetests --no-byte-compile \
		--with-xunit --xunit-file=junit_reports/python-dlt_tests.xml \
		tests

.PHONY: unit-test
unit-test:
	${DK_CMD} ${IMAGE}:${TAG} tox ${TEST_ARGS}

.PHONY: lint
lint:
	${DK_CMD} ${IMAGE}:${TAG} tox -e lint

.PHONY: build-image
build-image:
	docker build --build-arg LIBDLT_VERSION=${LIBDLT_VERSION} \
		--tag ${IMAGE}:${TAG} .
	docker build --build-arg LIBDLT_VERSION=${LIBDLT_VERSION} \
		--tag ${IMAGE}:${LIBDLT_VERSION} .

.PHONY: clean
clean:
ifeq (,$(wildcard /.dockerenv))
	${DK_CMD} ${IMAGE}:${TAG} make clean
else
	find . -name "__pycache__" | xargs -n1 rm -rf
	find . -name "*.pyc" | xargs -n1 rm -rf
	rm -rf .coverage
	rm -rf *.egg-info
	rm -rf .eggs
	rm -rf junit_reports
	rm -rf .tox
endif

=== requirements.txt ===
coverage==4.5.4
nose==1.3.7
pycodestyle==2.5.0

=== debian/changelog ===
python-dlt (2.0-3) unstable; urgency=medium

  * Tighteen the dependency on dlt-daemon version 2.18.6
  * Update the code with a patch to make it work with 2.18.6 (Closes: #979818)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Feb 2021 23:22:19 +0100

python-dlt (2.0-2) unstable; urgency=medium

  * Add myself to uploaders to be aware of new bugs under my ddpo
  * debian/patches/git-updates.patch:
    - cherry-pick upstream build fixes for newer dlt-daemon
  * Bump compat level to 13
  * Bump std-version to 4.5.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Dec 2020 18:47:37 +0100

python-dlt (2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration. 

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 12:42:54 -0500

python-dlt (2.0-1) unstable; urgency=low

  * New upstream release
  * DLT daemon 2.18 support
  * Improved Python 3 support
  * Python 2 support removed

 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 07 Dec 2019 11:14:17 +0100

=== debian/control ===
Source: python-dlt
Section: python
Priority: optional
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-setuptools-scm, python3-nose, pycodestyle, pylint, libdlt2 (>=2.18.6), libdlt2 (<<2.18.7)
Standards-Version: 4.5.0
Homepage: https://github.com/bmwcarit/python-dlt
X-Python3-Version: >= 3.6

Package: python3-dlt
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libdlt2 (>=2.18.6), libdlt2 (<<2.18.7)
Conflicts: python-dlt
Replaces: python-dlt
Description: Python wrapper for libdlt to read and process DLT logs from devices
 Diagnostic Log and Trace (DLT) library wrapper for Python using ctypes
 .
 This component provides a log and trace interface, based on the standardised
 protocol specified in the AUTOSAR standard 4.0 DLT. This library can be used to
 connect to a DLT logging facility and process saved DLT log files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=dlt

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-dlt 2.18.8.1

=== debian/changelog ===
python-dlt (2.18.8.1-2) unstable; urgency=low

  * Source-only rebuild

 -- Aigars Mahinovs <aigarius@debian.org>  Mon, 16 Nov 2022 20:14:13 +0100

python-dlt (2.18.8.1-1) unstable; urgency=low

  * New upstream release
  * DLT daemon 2.18.8 support
  * Improved Python 3 support
  * Better support for rare message types

 -- Aigars Mahinovs <aigarius@debian.org>  Mon, 14 Nov 2022 21:14:13 +0100

python-dlt (2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport E275 codestyle fixes. (Closes: #1020093)

 -- Adrian Bunk <bunk@debian.org>  Sat, 15 Oct 2022 06:54:00 +0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Aigars Mahinovs <aigarius@debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-setuptools-scm, python3-nose, pycodestyle, pylint, libdlt2 (>=2.18.6), libdlt2 (<<2.18.7)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-setuptools-scm, python3-nose, pycodestyle, pylint, python3-parameterized, libdlt2 (>=2.18.8), libdlt2 (<<2.18.9)
+Standards-Version: 4.6.1
 Homepage: https://github.com/bmwcarit/python-dlt
 X-Python3-Version: >= 3.6
 
 Package: python3-dlt
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, libdlt2 (>=2.18.6), libdlt2 (<<2.18.7)
+Depends: ${python3:Depends}, ${misc:Depends}, libdlt2 (>=2.18.8), libdlt2 (<<2.18.9)
 Conflicts: python-dlt
 Replaces: python-dlt
 Description: Python wrapper for libdlt to read and process DLT logs from devices

## python-dlt 2.18.8.3

=== debian/changelog ===
python-dlt (2.18.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jan 2023 19:44:57 +0100

python-dlt (2.18.8.2-2) unstable; urgency=medium

  * Switch to pyproject, add pytest dependency to fix tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jan 2023 19:06:49 +0100

python-dlt (2.18.8.2-1) unstable; urgency=medium

  * New upstream release.
    - drop the two patches, not needed anymore in newer upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jan 2023 14:07:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,18 @@
 Priority: optional
 Maintainer: Aigars Mahinovs <aigarius@debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, python3-setuptools-scm, python3-nose, pycodestyle, pylint, python3-parameterized, libdlt2 (>=2.18.8), libdlt2 (<<2.18.9)
+Build-Depends: debhelper-compat (= 13),
+ dh-python,
+ python3-all,
+ pybuild-plugin-pyproject,
+ python3-setuptools,
+ python3-setuptools-scm,
+ python3-nose,
+ pycodestyle,
+ pylint,
+ python3-pytest,
+ python3-parameterized,
+ libdlt2 (>=2.18.8), libdlt2 (<<2.18.9)
 Standards-Version: 4.6.1
 Homepage: https://github.com/bmwcarit/python-dlt
 X-Python3-Version: >= 3.6

## python-dlt 2.18.9

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
-LIBDLT_VERSION=2.18.4
+# Non released dlt-daemon version based on 2.18.8
+LIBDLT_VERSION=v2.18.8
 
 IMAGE=python-dlt/python-dlt-unittest
 TAG?=latest
 DK_CMD=docker run --rm -v $(shell pwd):/pydlt -w /pydlt
-TEST_ARGS?="-e py3,py27"
+TEST_ARGS?="-e py3,lint"
 
 .PHONY: all
 all:
@@ -34,6 +35,10 @@
 	docker build --build-arg LIBDLT_VERSION=${LIBDLT_VERSION} \
 		--tag ${IMAGE}:${LIBDLT_VERSION} .
 
+.PHONY: bash
+bash:
+	${DK_CMD} -it ${IMAGE}:${TAG}
+
 .PHONY: clean
 clean:
 ifeq (,$(wildcard /.dockerenv))

=== debian/changelog ===
python-dlt (2.18.9-3) unstable; urgency=medium

  * Update code to cope with version 2180

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Aug 2023 09:17:00 +0200

python-dlt (2.18.9-2) unstable; urgency=medium

  * Bump libdlt2 version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Aug 2023 08:42:59 +0200

python-dlt (2.18.9-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2023 07:33:21 +0200

python-dlt (2.18.8.8-2) unstable; urgency=medium

  * Bump libdlt2 version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Jun 2023 17:24:08 +0200

python-dlt (2.18.8.8-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Jun 2023 16:57:52 +0200

python-dlt (2.18.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Apr 2023 10:03:52 +0200

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,13 @@
  pylint,
  python3-pytest,
  python3-parameterized,
- libdlt2 (>=2.18.8), libdlt2 (<<2.18.9)
-Standards-Version: 4.6.1
+ libdlt2 (>=2.18.10), libdlt2 (<<2.18.11)
+Standards-Version: 4.6.2
 Homepage: https://github.com/bmwcarit/python-dlt
-X-Python3-Version: >= 3.6
 
 Package: python3-dlt
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, libdlt2 (>=2.18.8), libdlt2 (<<2.18.9)
+Depends: ${python3:Depends}, ${misc:Depends}, libdlt2 (>=2.18.10), libdlt2 (<<2.18.11)
 Conflicts: python-dlt
 Replaces: python-dlt
 Description: Python wrapper for libdlt to read and process DLT logs from devices

## python-dlt 2.18.10.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# Non released dlt-daemon version based on 2.18.8
-LIBDLT_VERSION=v2.18.8
+# Non released dlt-daemon version based on 2.18.10
+LIBDLT_VERSION=v2.18.10
 
 IMAGE=python-dlt/python-dlt-unittest
 TAG?=latest
@@ -12,13 +12,6 @@
 	@echo "  make unit-test       -- Run unit tests with tox (Run 'make build-image' the first time)"
 	@echo "  make build-image     -- Build docker image for the usage of 'make unit-test'"
 	@echo "  make clean           -- Remove all temporary files"
-
-.PHONY: test
-test:
-	mkdir -p junit_reports;
-	nosetests --no-byte-compile \
-		--with-xunit --xunit-file=junit_reports/python-dlt_tests.xml \
-		tests
 
 .PHONY: unit-test
 unit-test:

=== debian/changelog ===
python-dlt (2.18.10.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import project on Salsa
  * Remove extraneous build-dependency on python3-nose (Closes: #1018482)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 24 Aug 2024 20:29:25 +0200

python-dlt (2.18.10.0-2) unstable; urgency=medium

  * Update manpage

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jul 2024 14:39:41 +0200

python-dlt (2.18.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch, now useless

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jul 2024 13:59:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Maintainer: Aigars Mahinovs <aigarius@debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-setuptools-scm,
- python3-nose,
  pycodestyle,
  pylint,
- python3-pytest,
+ python3-pytest <!nocheck>,
  python3-parameterized,
  libdlt2 (>=2.18.10), libdlt2 (<<2.18.11)
 Standards-Version: 4.6.2
 Homepage: https://github.com/bmwcarit/python-dlt
+Vcs-Git: https://salsa.debian.org/debian/python-dlt.git
+Vcs-Browser: https://salsa.debian.org/debian/python-dlt
 
 Package: python3-dlt
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

export PYBUILD_NAME=dlt

%:
	dh $@ --buildsystem=pybuild

ifeq (32,$(DEB_HOST_ARCH_BITS))
export PYBUILD_TEST_ARGS=-k 'not test_sizeof'
endif

## python-dlt 2.18.10.1

=== debian/changelog ===
python-dlt (2.18.10.1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * lintian: trailing-whitespace

  [ Aigars Mahinovs ]
  * Import Upstream version 2.18.10.1

  [ Gianfranco Costamagna ]
  * New upstream version 2.18.10.1
    (tarball was changed)
  * Add new dependencies for sphinx (disabled for now)
  * Update manpage
  * Bump std-version to 4.7.2
  * Set R^3: no
  * Add simple autopkgtests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Jul 2025 11:09:39 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,16 @@
  pycodestyle,
  pylint,
  python3-pytest <!nocheck>,
+# python3-sphinx,
+# python3-sphinx-multiversion,
+# python3-sphinx-rtd-theme,
+# python3-sphinxcontrib.images,
+# python3-sphinxcontrib.apidoc,
+# python3-sphinx-click,
  python3-parameterized,
  libdlt2 (>=2.18.10), libdlt2 (<<2.18.11)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://github.com/bmwcarit/python-dlt
 Vcs-Git: https://salsa.debian.org/debian/python-dlt.git
 Vcs-Browser: https://salsa.debian.org/debian/python-dlt

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,12 @@
 %:
 	dh $@ --buildsystem=pybuild
 
+#execute_before_dh_clean:
+#	rm -rf docs/_build
+
+#execute_after_dh_auto_build:
+#	$(MAKE) -C docs html man
+
 ifeq (32,$(DEB_HOST_ARCH_BITS))
 export PYBUILD_TEST_ARGS=-k 'not test_sizeof'
 endif

=== debian/tests/control ===
Test-Command: for py in $(py3versions -s); do echo "[*] testing on $py:"; $py -c 'import dlt' ; done
Depends: @
